/*global initGame */

// variables used for image preloader
var gv_numImagesRequested = 4;
var gv_numImagesLoaded = 0;
var gv_images = {};

/**
 * This function is called once for each image loaded.
 */
function onImageLoaded() {
    gv_numImagesLoaded++;

    // start game only after we know all images have been loaded.
    if (gv_numImagesLoaded === gv_numImagesRequested) {
        initGame();
    }
}

/**
 * Load an image given the name of the PNG image file.
 * @param imageName The name of the image file without its file suffix (assumes a ".png" file suffix).
 */
function loadImage(imageName) {
    var image = new Image();
    gv_images[imageName] = image;

    image.onload = onImageLoaded;
    image.src = "images/" + imageName + ".png";
}

